commit: 3f588a991ebd7cc1bd3eaa439c4f2eff7a6308fd
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 10:33:03 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 11:24:29 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f588a99
dev-python/progress: Add python3.5 support
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/progress/progress-1.2-r1.ebuild | 29 +++++++++++++++++++++++++++++
1 file changed, 29 insertions(+)
diff --git a/dev-python/progress/progress-1.2-r1.ebuild
b/dev-python/progress/progress-1.2-r1.ebuild
new file mode 100644
index 0000000..ac4092c
--- /dev/null
+++ b/dev-python/progress/progress-1.2-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Easy to use progress bars"
+HOMEPAGE="https://pypi.python.org/pypi/progress
https://github.com/verigak/progress/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="ISC"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# Not bundled
+RESTRICT="test"
+
+python_test() {
+ "${PYTHON}" test_progress.py || die
+}